### Function

# GimpUi prop_boolean_radio_frame_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_boolean_radio_frame_new (
      GObject* config,
      const gchar* property_name,
      const gchar* title,
      const gchar* true_text,
      const gchar* false_text
    )

#### Description [src]

Creates a pair of radio buttons which function to set and display the specified boolean property. If `title` is `NULL`, the `property_name`‘s nick will be used as label of the returned frame.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of boolean property controlled by the radio buttons.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`title`

  Type: `const gchar*`

  Label for the frame.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`true_text`

  Type: `const gchar*`

  Label for the button corresponding to `TRUE`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`false_text`

  Type: `const gchar*`

  Label for the button corresponding to `FALSE`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A `GimpFrame` containing the radio buttons.

The caller of the function takes ownership of the data, and is responsible for freeing it.